freemarker.core

## Interface ParserConfiguration

All Known Implementing Classes:
  Configuration, TemplateConfiguration

    public interface ParserConfiguration

Don't implement this interface yourself; use the existing implementation(s). This interface is implemented by classes that hold settings that affect parsing. New parser settings can be added in new FreeMarker versions, which will break your implementation.

Since:
  2.3.24

### Method Summary

All Methods Instance Methods Abstract Methods
`ArithmeticEngine` `getArithmeticEngine()` Overlaps with `Configurable.getArithmeticEngine()`; the parser needs this for creating numerical literals.
`int` `getAutoEscapingPolicy()` See `Configuration.getAutoEscapingPolicy()`.
`Version` `getIncompatibleImprovements()` See `Configuration.getIncompatibleImprovements()`.
`int` `getNamingConvention()` See `Configuration.getNamingConvention()`.
`OutputFormat` `getOutputFormat()` See `Configurable.getOutputEncoding()`.
`boolean` `getRecognizeStandardFileExtensions()` See `Configuration.getRecognizeStandardFileExtensions()`.
`boolean` `getStrictSyntaxMode()` See `Configuration.getStrictSyntaxMode()`.
`int` `getTabSize()` See `Configuration.getTabSize()`.
`int` `getTagSyntax()` See `Configuration.getTagSyntax()`.
`boolean` `getWhitespaceStripping()` See `Configuration.getWhitespaceStripping()`.

### Method Detail

#### getTagSyntax

    int getTagSyntax()

See `Configuration.getTagSyntax()`.

#### getNamingConvention

    int getNamingConvention()

See `Configuration.getNamingConvention()`.

#### getWhitespaceStripping

    boolean getWhitespaceStripping()

See `Configuration.getWhitespaceStripping()`.

#### getArithmeticEngine

    ArithmeticEngine getArithmeticEngine()

Overlaps with `Configurable.getArithmeticEngine()`; the parser needs this for creating numerical literals.

#### getStrictSyntaxMode

    boolean getStrictSyntaxMode()

See `Configuration.getStrictSyntaxMode()`.

#### getAutoEscapingPolicy

    int getAutoEscapingPolicy()

See `Configuration.getAutoEscapingPolicy()`.

#### getOutputFormat

    OutputFormat getOutputFormat()

See `Configurable.getOutputEncoding()`.

#### getRecognizeStandardFileExtensions

    boolean getRecognizeStandardFileExtensions()

See `Configuration.getRecognizeStandardFileExtensions()`.

#### getIncompatibleImprovements

    Version getIncompatibleImprovements()

See `Configuration.getIncompatibleImprovements()`.

#### getTabSize

    int getTabSize()

See `Configuration.getTabSize()`.

Since:
  2.3.25